# Autor: René Albarus - https://www.tech-faq.net
#
# Beschreibung: 
# Auslesen nicht mehr aktiver Benutzerkonten im Active Directory, welche nicht deaktiviert wurden
# Auf diese Weise lassen sich verwaiste Benutzerkonten finden
# Der Wert TimeSpan kann angepasst werden (100.00:00:00 =  100 Tage

Search-ADAccount -AccountInactive -UsersOnly -TimeSpan 100.00:00:00 |
Where {$_.Enabled -eq "True"} |
sort -property LastLogonDate -desc | 
ft Name, LastLogonDate, Enabled -autosize